# Ogre::BorderPanelOverlayElementFactory Class Reference

Factory for creating BorderPanelOverlayElement instances. More...

`#include <OgreOverlayElementFactory.h>`

Inheritance diagram for Ogre::BorderPanelOverlayElementFactory:

List of all members.

## Public Member Functions

OverlayElement * | createOverlayElement (const String &instanceName)
| See OverlayElementFactory.
const String & | getTypeName (void) const
| See OverlayElementFactory.
virtual void | destroyOverlayElement (OverlayElement *pElement)
| Destroys a OverlayElement which this factory created previously.

## Detailed Description

Factory for creating BorderPanelOverlayElement instances.

Definition at line 78 of file OgreOverlayElementFactory.h.

## Member Function Documentation

OverlayElement* Ogre::BorderPanelOverlayElementFactory::createOverlayElement | ( | const String & | instanceName | ) | `[virtual]`

| See OverlayElementFactory. Implements Ogre::OverlayElementFactory. Definition at line 82 of file OgreOverlayElementFactory.h. References Ogre::String.

virtual void Ogre::OverlayElementFactory::destroyOverlayElement | ( | OverlayElement * | pElement | ) | `[virtual, inherited]`

| Destroys a OverlayElement which this factory created previously. Definition at line 54 of file OgreOverlayElementFactory.h.

const String& Ogre::BorderPanelOverlayElementFactory::getTypeName | ( | void |  | ) | const`[virtual]`

| See OverlayElementFactory. Implements Ogre::OverlayElementFactory. Definition at line 87 of file OgreOverlayElementFactory.h. References Ogre::String.

The documentation for this class was generated from the following file:

- OgreOverlayElementFactory.h

Copyright © 2000-2005 by The OGRE Team
Last modified Sun Nov 20 12:37:49 2005